> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Allowed Ip

> Add a new allowed IP address.



## OpenAPI

````yaml post /admin/settings/ip-blocking/allowed-ips
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/ip-blocking/allowed-ips:
    post:
      tags:
        - provider
        - admin
      summary: Add Allowed Ip
      description: Add a new allowed IP address.
      operationId: add_allowed_ip_admin_settings_ip_blocking_allowed_ips_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AllowedIPCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowedIPResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AllowedIPCreate:
      properties:
        ipAddress:
          type: string
          title: Ipaddress
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - ipAddress
      title: AllowedIPCreate
      description: Schema for creating an allowed IP address.
    AllowedIPResponse:
      properties:
        id:
          type: string
          title: Id
        ipAddress:
          type: string
          title: Ipaddress
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        createdDate:
          type: string
          format: date-time
          title: Createddate
        createdByName:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyname
      type: object
      required:
        - id
        - ipAddress
        - createdDate
      title: AllowedIPResponse
      description: Schema for an allowed IP response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````